#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gre_add_protocol, "_gpl", "");
KSYMTAB_FUNC(gre_del_protocol, "_gpl", "");
KSYMTAB_FUNC(gre_parse_header, "", "");

SYMBOL_CRC(gre_add_protocol, 0xb41a7b53, "_gpl");
SYMBOL_CRC(gre_del_protocol, 0xa53d5557, "_gpl");
SYMBOL_CRC(gre_parse_header, 0x34041e3a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x538208df, "__skb_checksum_complete" },
	{ 0x30d6e866, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc2697162, "inet_add_protocol" },
	{ 0xa3d1d07e, "kfree_skb_reason" },
	{ 0x5327492a, "__pskb_pull_tail" },
	{ 0x1b4f0af9, "inet_del_protocol" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

